%define doc_dir %_defaultdocdir/%name-%version

Name: lame
Version: 3.93.1
Release: alt2

Summary: LAME Ain't an Mp3 Encoder
License: LGPL
Group: Sound
URL: http://%name.sourceforge.net/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: http://prdownloads.sourceforge.net/lame/%name-%version.tar.bz2
Patch1: %name-3.89-alt-global_flags.patch
Patch2: %name-3.92-alt-terminfo.patch
Patch3: %name-3.93-alt-ltconfig.patch

Requires: lib%name = %version-%release

BuildPreReq: libtool_1.4

# Automatically added by buildreq on Sun Sep 14 2003
BuildRequires: libsndfile-devel libtinfo-devel nasm time

%description
Lame is a program which can be used to create compressed audio files.
These audio files can be played back by popular mp3 players such as mpg123.

%description -l ru_RU.CP1251
LAME -    mp3-.    
    xmms, mpg123, madplay.

%package -n lib%name
Summary: LAME shared library
Group: System/Libraries

%description -n lib%name
This package contains shared library required by %name-based software.

%description -n lib%name -l ru_RU.CP1251
      LAME.

%package -n lib%name-devel
Summary: LAME development file
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains header files required to develop
%name-based software.

%description -n lib%name-devel -l ru_RU.CP1251
    ,    ,
 LAME.

%package -n lib%name-devel-static
Summary: LAME static libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static library required to develop
%name-based software.

%description -n lib%name-devel-static -l ru_RU.CP1251
     ,   
 ,  LAME.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%set_libtool_version 1.4
%__autoconf
%configure --enable-nasm --without-vorbis --disable-gtktest --enable-brhist

%make_build
LD_LIBRARY_PATH=. \
%make test

%install
%makeinstall
%__mkdir_p %buildroot%_docdir/%name-%version/{html,devel}
%__install -pD -m644 API HACKING STYLEGUIDE TODO %buildroot%_docdir/%name-%version/devel
%__install -pD -m644 doc/html/*.{html,css} %buildroot%_docdir/%name-%version/html
%__install -pD -m644 LICENSE PRESETS.draft USAGE %buildroot%_docdir/%name-%version
%__install -p -m644 libmp3lame/lame_global_flags.h %buildroot%_includedir/%name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%_mandir/man?/*
%doc %doc_dir/PRESETS.draft
%doc %doc_dir/USAGE
%dir %doc_dir/html
%doc %doc_dir/html/*

%files -n lib%name
%_libdir/*.so.*
%dir %doc_dir
%doc %doc_dir/LICENSE

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%dir %doc_dir/devel
%doc %doc_dir/devel/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Mon Sep 15 2003 Andrey Astafiev <andrei@altlinux.ru> 3.93.1-alt2
- Requires libtool_1.4 for building.

* Mon Dec 02 2002 Andrey Astafiev <andrei@altlinux.ru> 3.93.1-alt1
- 3.93.1

* Mon Nov 25 2002 Andrey Astafiev <andrei@altlinux.ru> 3.93-alt1
- 3.93

* Wed Nov 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 3.92-alt3
- Rebuild

* Thu Jul 18 2002 Andrey Astafiev <andrei@altlinux.ru> 3.92-alt2
- Patched configure.in to link with libtinfo.

* Mon Apr 29 2002 Andrey Astafiev <andrei@altlinux.ru> 3.92-alt1
- 3.92

* Mon Dec 31 2001 Andrey Astafiev <andrei@altlinux.ru> 3.91-alt1
- 3.91

* Mon Dec 24 2001 Stanislav Ievlev <inger@altlinux.ru> 3.90.1-alt2
- fixed build under new nasm

* Sun Dec 23 2001 Andrey Astafiev <andrei@altlinux.ru> 3.90.1-alt1
- 3.90.1
- Relocated documentation.

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.89-alt3
- Fixed some bugs by use 2.95.3 gcc compiler

* Mon Sep 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.89-alt2
- Added lame_global_flags.h header required for some programs.

* Thu Aug 23 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.89-alt1
- 3.89
- Added devel-static package.

* Fri Jan 19 2001 Dmitry V. Levin <ldv@fandra.org> 3.87-ipl1
- 3.87
- Split into three subpackages.
- Added vorbis support.

* Sat May 06 2000 Dmitry V. Levin <ldv@fandra.org>
- Initial release
